首页天道酬勤加载硬件配置失败0050-133 2 2458,maven项目pom文件报错

加载硬件配置失败0050-133 2 2458,maven项目pom文件报错

张世龙 05-06 05:58 27次浏览

关于springboot集成springcloud、springboot降级错误报告等问题

在集成springcloud的过程中,springboot的版本必须与springcloud的版本相匹配。 否则,会发生一系列错误。

caused by : org.spring framework.beans.factory.beancreationexception : errorcreatingbeanwithname’org.springframeramer nfiguration $嵌入式Tomcat’: initializationofbeanfailed; nestedexceptionisjava.lang.noclassdeffounderror 3360 org/spring框架/boot/context/properties/configuration pror

该错误是由于以下理由

第一个springboot项目是在2.5.0版中创建的,在创建的同时选择了openfeign依赖关系。 创建完成后,将自动生成一系列springcloud依赖关系。

由于特殊需要,我们升级到了2.1.8.release版。

另外,修改与test测试类相关的import和注释等,适应低版本的springboot的测试类。 (这是更改后的,需要以较低版本添加它们。)。

运行springboot启动类,但此时仍报告错误:

caused by : org.spring framework.beans.factory.beancreationexception : errorcreatingbeanwithname’org.springframeramer nfiguration $嵌入式Tomcat’: initializationofbeanfailed; nestedexceptionisjava.lang.noclassdeffounderror 3360 org/spring框架/boot/context/properties/configuration pror

我找了一会儿,觉得现在的springboot版本和以前的springcloud版本不匹配,所以更改springcloud版本,然后重新启动就可以运行了。

springcloud的版本是在springboot 2.5.0版本降低之前:

升级springboot2.5.0后,更改spring云的版本:

记住! springboot的版本必须与支持springcloud的版本相匹配。 具体版本号支持匹配的文档,请自行访问springcloud官网。

spring cloud 组件,Alibaba Cloud Computing